Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 604564

Summary: sys-devel/flex-2.6.3 with sys-devel/gcc-6.3.0 fails test cxx_restart - Segmentation fault
Product: Gentoo Linux Reporter: eroen <gentoo>
Component: Current packagesAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED FIXED    
Severity: normal Keywords: TESTFAILURE
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=632523
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    
Attachments: build.log
test-suite.log

Description eroen 2017-01-03 21:19:56 UTC
Created attachment 458598 [details]
build.log

The tests pass with gcc-5.4.0-r2 or with CFLAGS="-O0".

make[4]: Entering directory '/var/tmp/portage/sys-devel/flex-2.6.3/work/flex-2.6.3-abi_x86_64.amd64/tests'
...
FAIL: cxx_restart
...
============================================================================
Testsuite summary for the fast lexical analyser generator 2.6.3
============================================================================
# TOTAL: 114
# PASS:  113
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to flex-help@lists.sourceforge.net
============================================================================
Makefile:2162: recipe for target 'test-suite.log' failed
make[4]: *** [test-suite.log] Error 1
make[4]: Leaving directory '/var/tmp/portage/sys-devel/flex-2.6.3/work/flex-2.6.3-abi_x86_64.amd64/tests'
Makefile:2268: recipe for target 'check-TESTS' failed
make[3]: *** [check-TESTS] Error 2
make[3]: Leaving directory '/var/tmp/portage/sys-devel/flex-2.6.3/work/flex-2.6.3-abi_x86_64.amd64/tests'
Makefile:2694: recipe for target 'check-am' failed
make[2]: *** [check-am] Error 2
make[2]: Leaving directory '/var/tmp/portage/sys-devel/flex-2.6.3/work/flex-2.6.3-abi_x86_64.amd64/tests'
Makefile:2698: recipe for target 'check' failed
make[1]: *** [check] Error 2
make[1]: Leaving directory '/var/tmp/portage/sys-devel/flex-2.6.3/work/flex-2.6.3-abi_x86_64.amd64/tests'
Makefile:527: recipe for target 'check-recursive' failed
make: *** [check-recursive] Error 1
 * ERROR: sys-devel/flex-2.6.3::gentoo failed (test phase):
 *   emake failed
Comment 1 eroen 2017-01-03 21:21:40 UTC
Created attachment 458602 [details]
test-suite.log

+ '[' -f /var/tmp/portage/sys-devel/flex-2.6.3/work/flex-2.6.3/tests/cxx_restart.txt ']'
+ '[' 1 == 1 ']'
+ ./cxx_restart
/var/tmp/portage/sys-devel/flex-2.6.3/work/flex-2.6.3/tests/testwrapper.sh: line 53: 22594 Segmentation fault      $TESTNAME ${USE_TABLES:+${INPUT_DIRECTORY}/${TESTNAME%.exe}.tables} < $INPUT_NAME
FAIL cxx_restart (exit status: 139)
Comment 2 eroen 2017-01-03 21:23:50 UTC
localhost ~ # dmesg | tail
...
[ 6465.977393] cxx_restart[22594]: segfault at 0 ip 0000000000402057 sp 00007ffeaeb85500 error 4 in cxx_restart[400000+4000]
Comment 3 eroen 2017-01-03 21:24:13 UTC
localhost ~ # emerge --info '=sys-devel/flex-2.6.3::gentoo'
Portage 2.3.0 (python 3.4.5-final-0, default/linux/amd64/13.0, gcc-6.3.0, glibc-2.22-r4, 4.4.6-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.3
KiB Mem:     4043380 total,   3311216 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 03 Jan 2017 00:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.22.3_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.4::gentoo, 6.3.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS=""
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx mmxext modules multilib ncurses nls nptl openmp pam pcre readline seccomp session sse sse2 ssl tcpd unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

localhost ~ # emerge -pqv '=sys-devel/flex-2.6.3::gentoo'
[ebuild     U ] sys-devel/flex-2.6.3 [2.6.1] USE="nls {test*} -static" ABI_X86="(64) -32 (-x32)" 

 * IMPORTANT: 13 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.
Comment 4 nvinson234 2017-01-05 15:36:44 UTC
Known upstream issue: https://github.com/westes/flex/issues/98
Comment 5 DJ Dunn 2017-05-08 05:33:42 UTC
works in 2.6.4
Comment 6 Harri Nieminen (Moiman) 2017-05-08 13:14:34 UTC
Fixed in sys-devel/flex-2.6.4